Attribute VB_Name = "Module1"
Option Explicit

Public Const T4_NOERROR = 0
Public Const T4_NOTAG = 1

Public Const T4_TYPE_IDRO_A = 0
Public Const T4_TYPE_IDRW_B = 1
Public Const T4_TYPE_IDRW_C = 2
Public Const T4_TYPE_IDRW_D = 3
Public Const T4_TYPE_IDRW_E = 4

Public Const T4_MSK_IDRO_A = 1
Public Const T4_MSK_IDRW_B = 2
Public Const T4_MSK_IDRW_C = 4
Public Const T4_MSK_IDRW_D = 8
Public Const T4_MSK_IDRW_E = 16

' For use under Windows CE, the lib name is t4ce.dll

Declare Function T4Init Lib "t4w.dll" Alias "_T4Init@4" (ByVal ComPort As String) As Long
Declare Function T4DeInit Lib "t4w.dll" Alias "_T4DeInit@0" () As Long

Declare Function T4ConfigurationReset Lib "t4w.dll" Alias "_T4ConfigurationReset@0" () As Long
Declare Function T4SetTagDriver Lib "t4w.dll" Alias "_T4SetTagDriver@4" (ByVal Driver As Byte) As Long
Declare Function T4SelectTagPW Lib "t4w.dll" Alias "_T4SelectTagPW@12" (ByRef PassWord As Byte, ByRef TagType As Byte, ByRef SerialNumber As Byte) As Long

Declare Function T4ReadData Lib "t4w.dll" Alias "_T4ReadData@12" (ByVal BlockAdress As Byte, ByVal BlockCount As Byte, ByRef Data As Byte) As Long
Declare Function T4WriteData Lib "t4w.dll" Alias "_T4WriteData@12" (ByVal BlockAdress As Byte, ByVal BlockCount As Byte, ByRef Data As Byte) As Long

Declare Function T4ReadConfigData Lib "t4w.dll" Alias "_T4ReadConfigData@8" (ByVal BlockAdress As Byte, ByRef Data As Byte) As Long
Declare Function T4WriteConfigData Lib "t4w.dll" Alias "_T4WriteConfigData@8" (ByVal BlockAdress As Byte, ByRef Data As Byte) As Long

' Only available under Windows CE:
' Declare Function T4FindCOMPort Lib "t4ce.dll" Alias "_T4FindCOMPort@0" () As (todo!)
' PLEASE NOTE:
' This new function returns a NULL pointer if the CF card reader was not found and a pointer to a zero terminated string which
' contains the name of the COM port. The correct data type for visual basic has to be determined!

